<?php
  include_once(dirname(__FILE__) ."/include/main.php");

  // no user specified - redirect to user list page
  if(!getUser()) Helper::Redirect("users.php");
  
  // user is hidden - redirect to user list page
  if(!getUser()->Visible) Helper::Redirect("users.php");

  // the requested map
  $map = new Map();
  $map->Load($_GET["map"]);
  
  if(!$map->ID) die("The map has been removed.");
  
  if($map->UserID != getUser()->ID) die();

  $name = $map->Name .' ('. date(__("DATE_FORMAT"), strtotime($map->Date)) .')';

  // previous map in archive
  $previous = DataAccess::GetPreviousMap(getUser()->ID, $map->ID);
  $previousName = $previous->Name .' ('. date(__("DATE_FORMAT"), strtotime($previous->Date)) .')';

  // next map in archive
  $next = DataAccess::GetNextMap(getUser()->ID, $map->ID);
  $nextName = $next->Name .' ('. date(__("DATE_FORMAT"), strtotime($next->Date)) .')';

  $size = getimagesize(Helper::GetMapImage($map, false));
  
  DataAccess::IncreaseMapViews($map);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title><?=__("PAGE_TITLE")?> :: <?=strip_tags($name)?></title>
  <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
  <link rel="stylesheet" href="style.css" type="text/css" />
  <link rel="icon" type="image/png" href="gfx/favicon.png" />
  <link rel="alternate" type="application/rss+xml" title="RSS" href="rss.php?<?=Helper::CreateQuerystring(getUser())?>" />
  <script type="text/javascript">
  <!--

    var imageWidth = <?=$size[0]?>;
    var imageHeight = <?=$size[1]?>;
    var zoom = 1;

    function ZoomIn()
    {
      zoom *= 1.25;
      document.getElementById("mapImage").width = zoom * imageWidth;
      document.getElementById("mapImage").height = zoom * imageHeight;
    }

    function ZoomOut()
    {
      zoom /= 1.25;
      document.getElementById("mapImage").width = zoom * imageWidth;
      document.getElementById("mapImage").height = zoom * imageHeight;
    }

  -->
  </script>
</head>
<body id="showMapBody">
<div id="wrapper">
<? Helper::CreateTopbar() ?>
<div id="content">
<form method="post" action="<?=$PHP_SELF?>">

<div id="name"><?=$name?></div>

<div id="zoomButtonDiv">
  <div id="zoomIn" class="zoomButton" onclick="ZoomIn();"></div>
  <div id="zoomOut" class="zoomButton" onclick="ZoomOut();"></div>
</div>

<div id="previousAndNext">
  <? if($previous) { ?><?=__("PREVIOUS")?>: <a href="show_map.php?<?=Helper::CreateQuerystring(getUser(), $previous->ID)?>"><?=$previousName?></a><? } ?>
  <br />
  <? if($next) { ?><?=__("NEXT")?>: <a href="show_map.php?<?=Helper::CreateQuerystring(getUser(), $next->ID)?>"><?=$nextName?></a><? } ?>
  <br />
  <?
    $backUrl = (basename($_SERVER["HTTP_REFERER"]) == "users.php"
      ? "users.php"
      : "index.php?". Helper::CreateQuerystring(getUser()));
  ?>
  <a href="<?=$backUrl?>"><?=__("BACK")?></a>
</div>

<div id="propertyContainer">
<?
  print '<div class="property">'. __("CATEGORY") .": ". $map->GetCategory()->Name .'</div>'; 
  if(__("SHOW_MAP_AREA_NAME") && $map->MapName != "") print '<div class="property">'. __("MAP_AREA_NAME") .': '. $map->MapName .'</div>';
  if(__("SHOW_ORGANISER") && $map->Organiser != "") print '<div class="property">'. __("ORGANISER") .': '. $map->Organiser .'</div>';
  if(__("SHOW_COUNTRY") && $map->Country != "") print '<div class="property">'. __("COUNTRY") .': '. $map->Country .'</div>';
  if(__("SHOW_DISCIPLINE") && $map->Discipline != "") print '<div class="property">'. __("DISCIPLINE") .': '. $map->Discipline .'</div>';
  if(__("SHOW_RELAY_LEG") && $map->RelayLeg != "") print '<div class="property">'. __("RELAY_LEG") .': '. $map->RelayLeg .'</div>';
  if(__("SHOW_RESULT_LIST_URL") && $map->ResultListUrl != "") print '<div class="property"><a href="'. hsc($map->CreateResultListUrl()) .'">'. __("RESULTS") .'</a></div>';
?>
</div>
<?
  if(__("SHOW_COMMENT") && $map->Comment != "") print '<div id="comment">'. nl2br($map->Comment) .'</div>';
?>
<div class="clear"></div>

</form>
</div>
</div>

<div>
  <img id="mapImage" src="<?=hsc(Helper::GetMapImage($map))?>" alt="<?=hsc(strip_tags($name))?>" />
</div>
</body>
</html>